Bug 130642 - Anaconda IOError
Anaconda IOError
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-23 07:16 EDT by Michael Lerperger
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-17 13:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Debug Information (49.65 KB, image/png)
2004-08-25 16:12 EDT, Michael Lerperger
no flags Details
Anaconda Backtrace Screenshot (39.62 KB, image/png)
2004-08-25 16:57 EDT, Michael Lerperger
no flags Details
Anaconda dump (RHEL-AS-3-U3) (56.25 KB, text/plain)
2004-12-16 16:17 EST, Michael Lerperger
no flags Details
Anaconda log (RHEL-AS-3-U3) (5.77 KB, text/plain)
2004-12-16 16:18 EST, Michael Lerperger
no flags Details
Kernel messages leading to Anaconda error (7.49 KB, text/plain)
2004-12-16 16:41 EST, Michael Lerperger
no flags Details
Media Check Result of CD - ISO (PASS) (23.17 KB, image/png)
2004-12-16 18:36 EST, Michael Lerperger
no flags Details

  None (edit)
Description Michael Lerperger 2004-08-23 07:16:45 EDT
Description of problem:
Anaconda fails with "IOError: [Errno 5] Input/output error". The CD
error checking (optional step) had been successful. Installation
specifics: the CD had not been mounted physically but made been
available remotely through Hewlett Packard iLO virtual CD service,
mounted as an ISO via Daemon Tools 3.46 http://www.daemon-tools.cc (OS
is installed on blade server with no local CD-ROM). Other OS
installations have had no problem using this method.

Version-Release number of selected component (if applicable):
Anaconda of RHEL AS 3.0, Update 2

How reproducible:
Tried several times, same problem.

Steps to Reproduce:
1. Follow Install Screens
Actual results:
Anaconda Error
"An unhandled exception has occured. This is most likely a bug. Please
copy the full text of this exception and file a detailed bug report
against anaconde at http://bugzilla.redhat.com/bugzilla/"

File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 349, in
__init__ self.load(filename)
File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 360, in
load file = filename.read()
IOError: [Errno 5] Input/output error

Expected results:

Additional info:
Screenshots of error available as attachments.
Comment 1 Jeremy Katz 2004-08-24 14:23:09 EDT
Are there any error messages on tty4 at this point?
Comment 2 Michael Lerperger 2004-08-25 16:12:40 EDT
Created attachment 103094 [details]
Debug Information
Comment 3 Michael Lerperger 2004-08-25 16:17:13 EDT
PS: Screenshot attached is of RHEL AS 3.0 Update 1 where the same 
problem occurs.
Comment 4 Jeremy Katz 2004-08-25 16:20:15 EDT
Can you save the traceback?  Or if lack of removable media is a
problem, switch to tty2 and scp off /tmp/anacdump.txt.

If not that, can you at least look over on tty4 for any sorts of error
messages from the kernel?
Comment 5 Michael Lerperger 2004-08-25 16:55:33 EDT
Unfortunately switching tty's does not appear to be possible (access 
via a Java applet in a web browser, cannot make Ctrl + Alt + Fn work, 
perhaps because lack of knowledge how to escape the function keys in 
that emulation). Backtrace image attached.
Comment 6 Michael Lerperger 2004-08-25 16:57:15 EDT
Created attachment 103098 [details]
Anaconda Backtrace Screenshot

RHEL 3.0 UPD 1
Comment 7 Jeremy Katz 2004-11-10 17:59:27 EST
This isn't the full backtrace.  Please save the dump to a floppy and attach it here.

Alternately, if you don't have access to a floppy, from the debug prompt, you
can type
import os

and then you can copy off /tmp/anacdump.txt from the shell.
Comment 8 Michael Lerperger 2004-12-16 16:17:08 EST
Created attachment 108742 [details]
Anaconda dump (RHEL-AS-3-U3)

Anaconda dump (taken from RHEL AS 3.0 UPD3, where same problem occurs as with
Comment 9 Michael Lerperger 2004-12-16 16:18:12 EST
Created attachment 108743 [details]
Anaconda log (RHEL-AS-3-U3)

Anaconda Log too, just in case..
Comment 10 Michael Lerperger 2004-12-16 16:22:42 EST
Uploaded Anaconda dump taken from RHEL AS 3.0 UPD3, problem still the
same. It was possible the previous time to work around the problem by
not using the CD-ROM #1 to boot from, but boot.iso under images. This
however does not work this time as apparently booting from boot.iso
does not offer any upgrade options, just fresh install. Upgrade from
RHEL AS 2.1 required.
Comment 11 Michael Lerperger 2004-12-16 16:41:39 EST
Created attachment 108745 [details]
Kernel messages leading to Anaconda error

Lots of I/O errors apparently related to the CD-ROM (ISO mounted via iLO).
Interestingly boot.iso seems to work fine. Also a (see log) a quite significant
part of the install goes without error. Corruption of the ISO can be ruled out
as reason.
Comment 12 Michael Lerperger 2004-12-16 18:36:03 EST
Created attachment 108763 [details]
Media Check Result of CD - ISO (PASS)

Attached a screen dump of the PASS screen of the CD Media Check of the Boot
disk. Subsequently Anaconda fails with an I/O read error.
Comment 13 Jeremy Katz 2005-02-01 18:38:19 EST
The errors from the CD make anaconda unable to work.  -> kernel
Comment 14 Jeremy Katz 2005-02-01 18:38:45 EST
The errors from the CD make anaconda unable to work.  -> kernel
Comment 15 Josh Schulenberg 2005-04-15 00:26:38 EDT
I have the same problem with Fedora Core 3 and iLo 1.75. You cannot change the
CD during installation. We're going to have to send back our entire Blade Center
or use another Linux distro because of this problem.
Comment 16 Doug Ledford 2005-10-17 13:33:46 EDT
This is an old bug report.  If the problem still exists on current releases,
please reopen the bug (there have been numerous USB related fixes, and this
problem looks like a USB CD-ROM problem).

Note You need to log in before you can comment on or make changes to this bug.